For the complete documentation index, see llms.txt. This page is also available as Markdown.

Redemption

Redeem tickets and bookings by reference or barcode

To use this capability, add octo/redemption to your Octo-Capabilities header.

This capability allows supplier/operator connections to look up bookings and tickets, redeem/unredeem them, and mark them as no-show by redemption code.

All paths below are public /octo routes.

The OCTO API prefix is /octo.

Endpoint Summary

Lookup

get

Lookup by reference, email, or mobile.

Query parameters
referencestringOptional

Lookup by booking/ticket reference or redemption code.

Example: REF-2026-001
emailstringOptional

Lookup by email address.

Example: jane.doe@goldengatetours.com
mobilestringOptional

Lookup by mobile number.

Example: +12025550123
Responses
200

Successful response

application/json
or
get/redemption/lookup
GET /octo/redemption/lookup HTTP/1.1
Host: api.ventrata.com
Accept: */*
200

Successful response

{
  "uuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
  "reference": "REF-2026-001",
  "redemptionCode": "SUMMER25",
  "redeemable": true,
  "unredeemableReason": "unredeemable_reason-example",
  "unredeemableReasonCode": "SUMMER25",
  "status": "CONFIRMED",
  "product": {
    "allowFreesale": true,
    "availabilityRequired": true,
    "availabilityType": "START_TIME",
    "deliveryFormats": [
      "PDF_URL",
      "QRCODE"
    ],
    "deliveryMethods": [
      "VOUCHER",
      "TICKET"
    ],
    "fixedWeight": true,
    "freesaleDurationAmount": 220,
    "freesaleDurationRoundup": true,
    "freesaleDurationRoundupUnit": "HOUR",
    "freesaleDurationUnit": "HOUR",
    "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
    "instantConfirmation": true,
    "instantDelivery": true,
    "internalName": "Walking Tour of Barcelona",
    "locale": "en",
    "operator": {
      "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
      "name": "Morning City Tour"
    },
    "options": [
      {
        "availabilityCutoff": "2026-05-14T09:00:00-04:00",
        "availabilityCutoffAmount": 2,
        "availabilityCutoffUnit": "2026-05-14T09:00:00-04:00",
        "availabilityLocalDateEnd": "2026-12-31",
        "availabilityLocalDateStart": "2026-01-01",
        "availabilityLocalStartTimes": [
          "09:00",
          "13:00"
        ],
        "availabilityNotice": "2026-05-14T09:00:00-04:00",
        "availabilityNoticeAmount": 2,
        "availabilityNoticeUnit": "2026-05-14T09:00:00-04:00",
        "cancellationCutoff": "24",
        "cancellationCutoffAmount": 2,
        "cancellationCutoffUnit": "HOUR",
        "default": true,
        "id": "f1a5d2e8-8d57-4f0b-9c3f-6a12d7a8bc90",
        "internalName": "DEFAULT",
        "reference": "REF-2026-001",
        "requiredContactFields": [
          "fullName",
          "emailAddress"
        ],
        "restrictions": {
          "minUnits": 2,
          "maxUnits": 2,
          "minPaxCount": 2,
          "maxPaxCount": 2,
          "minTotal": 2,
          "maxTotal": 2,
          "unitIds": [
            "unit_adult",
            "unit_child"
          ]
        },
        "tags": [
          "vip",
          "partner"
        ],
        "units": [
          {
            "id": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
            "internalName": "Adult",
            "reference": "adult",
            "requiredContactFields": [
              "fullName",
              "emailAddress"
            ],
            "restrictions": {
              "required": true,
              "default": true,
              "minAge": 34,
              "maxAge": 34,
              "idRequired": true,
              "minQuantity": 2,
              "maxQuantity": 2,
              "paxCount": 2,
              "accompaniedBy": [
                "accompanied_by-example"
              ],
              "notAccompaniedBy": [
                "not_accompanied_by-example"
              ],
              "accompaniedByRatio": 2,
              "accompaniedByRatioDenominator": 2
            },
            "tags": [
              "vip",
              "partner"
            ],
            "type": "ADULT",
            "visibleContactFields": [
              "fullName",
              "emailAddress"
            ],
            "pricing": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "pricingFrom": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "extras": [
              {
                "customRetail": true,
                "customRetailOptions": [
                  500,
                  1000,
                  1500
                ],
                "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
                "internalName": "Guide Gratuity",
                "reference": "guide_gratuity",
                "restrictions": {
                  "default": false,
                  "idRequired": false,
                  "maxCustomRetail": 5000,
                  "maxQuantity": 1,
                  "minCustomRetail": 500,
                  "minQuantity": 1,
                  "paxCount": 0,
                  "required": false,
                  "accompaniedBy": [],
                  "accompaniedByRatio": null,
                  "accompaniedByRatioDenominator": null,
                  "notAccompaniedBy": []
                },
                "tags": [
                  "gratuity",
                  "optional"
                ],
                "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
                "duration": null,
                "durationAmount": null,
                "durationUnit": null,
                "shortDescription": "Let the guest choose how much they want to tip the guide.",
                "title": "Guide Gratuity",
                "pricing": {
                  "currency": "USD",
                  "currencyPrecision": 2,
                  "net": 18000,
                  "original": 22000,
                  "retail": 20000,
                  "includedTaxes": [
                    {
                      "name": "Sales Tax",
                      "shortDescription": "Local sales tax",
                      "original": 2000,
                      "retail": 1800,
                      "net": 1600
                    }
                  ],
                  "offerDiscount": {
                    "retail": 2000,
                    "net": 2000,
                    "includedTaxes": [
                      {
                        "name": "Sales Tax",
                        "shortDescription": "Local sales tax",
                        "retail": 200,
                        "net": 200
                      }
                    ]
                  }
                },
                "pricingFrom": {
                  "currency": "USD",
                  "currencyPrecision": 2,
                  "net": 18000,
                  "original": 22000,
                  "retail": 20000,
                  "includedTaxes": [
                    {
                      "name": "Sales Tax",
                      "shortDescription": "Local sales tax",
                      "original": 2000,
                      "retail": 1800,
                      "net": 1600
                    }
                  ],
                  "offerDiscount": {
                    "retail": 2000,
                    "net": 2000,
                    "includedTaxes": [
                      {
                        "name": "Sales Tax",
                        "shortDescription": "Local sales tax",
                        "retail": 200,
                        "net": 200
                      }
                    ]
                  }
                }
              }
            ],
            "questions": [
              {
                "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
                "title": "Summer Promotion",
                "required": true,
                "inputType": "select",
                "maxLength": 2,
                "selectOptions": [
                  {
                    "value": "value-example",
                    "label": "label-example"
                  }
                ]
              }
            ],
            "isMembership": true,
            "membershipBenefit": {
              "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
              "title": "Summer Promotion",
              "description": "Morning departure with central pickup included."
            }
          }
        ],
        "visibleContactFields": [
          "fullName",
          "emailAddress"
        ],
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "pricingFrom": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "itinerary": [
          {
            "name": "Morning City Tour",
            "type": "STANDARD",
            "description": "Morning departure with central pickup included.",
            "address": "123 Main St, San Francisco, CA",
            "googlePlaceId": "google_place_id-example",
            "latitude": 10,
            "longitude": 10,
            "travelTime": "15",
            "travelTimeAmount": 220,
            "travelTimeUnit": "MINUTE",
            "duration": "2",
            "durationAmount": 220,
            "durationUnit": "HOUR"
          }
        ],
        "extras": [
          {
            "customRetail": true,
            "customRetailOptions": [
              500,
              1000,
              1500
            ],
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "internalName": "Guide Gratuity",
            "reference": "guide_gratuity",
            "restrictions": {
              "default": false,
              "idRequired": false,
              "maxCustomRetail": 5000,
              "maxQuantity": 1,
              "minCustomRetail": 500,
              "minQuantity": 1,
              "paxCount": 0,
              "required": false,
              "accompaniedBy": [],
              "accompaniedByRatio": null,
              "accompaniedByRatioDenominator": null,
              "notAccompaniedBy": []
            },
            "tags": [
              "gratuity",
              "optional"
            ],
            "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
            "duration": null,
            "durationAmount": null,
            "durationUnit": null,
            "shortDescription": "Let the guest choose how much they want to tip the guide.",
            "title": "Guide Gratuity",
            "pricing": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "pricingFrom": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            }
          }
        ],
        "packageIncludes": [
          "[Circular Reference]"
        ],
        "dropoffAvailable": true,
        "dropoffPoints": [
          {
            "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
            "name": "Union Square Pickup",
            "directions": "Meet outside the main entrance beside the red awning.",
            "address": "333 O'Farrell St, San Francisco, CA 94102",
            "latitude": 37.785452,
            "longitude": -122.408058,
            "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
            "street": "333 O'Farrell St",
            "postalCode": "94102",
            "locality": "San Francisco",
            "region": "California",
            "state": "CA",
            "country": "US",
            "localDateTime": "2026-05-14T08:30:00-07:00",
            "localDateTimeTo": "2026-05-14T08:45:00-07:00"
          }
        ],
        "dropoffRequired": true,
        "pickupAvailable": true,
        "pickupPoints": [
          {
            "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
            "name": "Union Square Pickup",
            "directions": "Meet outside the main entrance beside the red awning.",
            "address": "333 O'Farrell St, San Francisco, CA 94102",
            "latitude": 37.785452,
            "longitude": -122.408058,
            "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
            "street": "333 O'Farrell St",
            "postalCode": "94102",
            "locality": "San Francisco",
            "region": "California",
            "state": "CA",
            "country": "US",
            "localDateTime": "2026-05-14T08:30:00-07:00",
            "localDateTimeTo": "2026-05-14T08:45:00-07:00"
          }
        ],
        "pickupRequired": true,
        "questions": [
          {
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "title": "Summer Promotion",
            "required": true,
            "inputType": "select",
            "maxLength": 2,
            "selectOptions": [
              {
                "value": "value-example",
                "label": "label-example"
              }
            ]
          }
        ],
        "rentalDurations": [
          {
            "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
            "duration": "2",
            "durationAmount": 220,
            "durationUnit": "HOUR",
            "title": "Summer Promotion",
            "description": "Morning departure with central pickup included."
          }
        ]
      }
    ],
    "redemptionMethod": "DIGITAL",
    "reference": "BRC-WALK",
    "settlementMethods": [
      "DIRECT",
      "DEFERRED"
    ],
    "tags": [
      "vip",
      "partner"
    ],
    "timeZone": "Europe/Madrid",
    "weightUnit": "kg",
    "availableCurrencies": [
      "USD",
      "EUR"
    ],
    "defaultCurrency": "USD",
    "hidePricingFrom": true,
    "includeTax": true,
    "includedTaxes": [
      {
        "name": "Sales Tax",
        "shortDescription": "Local sales tax",
        "original": 2000,
        "retail": 1800,
        "net": 1600
      }
    ],
    "pricingMultiplier": 10,
    "pricingPer": "UNIT",
    "isPackage": true,
    "isPackagePass": true,
    "packageProduct": true,
    "waiverPer": "UNIT",
    "waiverRequired": true,
    "waivers": [
      {
        "id": "6d8c49eb-d6d3-4f03-a242-6f5f95f4d56f",
        "title": "Participant Release and Assumption of Risk",
        "shortDescription": "Required before tour participation.",
        "content": "I acknowledge and accept the risks of participation.\n\n-First Name-=__\n-Email-=__(\"type\":\"email\")\n-Signature-=__(\"type\":\"signature\")\n-Country-=__(\"type\":\"country\")",
        "fields": [
          {
            "id": "first_name",
            "internalName": "First Name",
            "title": "First Name",
            "shortDescription": null,
            "required": true,
            "inputType": "signature",
            "maxLength": null,
            "selectOptions": []
          }
        ]
      }
    ],
    "isRental": true,
    "isMembership": true,
    "membershipAutoRenew": true
  },
  "option": {
    "availabilityCutoff": "2026-05-14T09:00:00-04:00",
    "availabilityCutoffAmount": 2,
    "availabilityCutoffUnit": "2026-05-14T09:00:00-04:00",
    "availabilityLocalDateEnd": "2026-12-31",
    "availabilityLocalDateStart": "2026-01-01",
    "availabilityLocalStartTimes": [
      "09:00",
      "13:00"
    ],
    "availabilityNotice": "2026-05-14T09:00:00-04:00",
    "availabilityNoticeAmount": 2,
    "availabilityNoticeUnit": "2026-05-14T09:00:00-04:00",
    "cancellationCutoff": "24",
    "cancellationCutoffAmount": 2,
    "cancellationCutoffUnit": "HOUR",
    "default": true,
    "id": "f1a5d2e8-8d57-4f0b-9c3f-6a12d7a8bc90",
    "internalName": "DEFAULT",
    "reference": "REF-2026-001",
    "requiredContactFields": [
      "fullName",
      "emailAddress"
    ],
    "restrictions": {
      "minUnits": 2,
      "maxUnits": 2,
      "minPaxCount": 2,
      "maxPaxCount": 2,
      "minTotal": 2,
      "maxTotal": 2,
      "unitIds": [
        "unit_adult",
        "unit_child"
      ]
    },
    "tags": [
      "vip",
      "partner"
    ],
    "units": [
      {
        "id": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
        "internalName": "Adult",
        "reference": "adult",
        "requiredContactFields": [
          "fullName",
          "emailAddress"
        ],
        "restrictions": {
          "required": true,
          "default": true,
          "minAge": 34,
          "maxAge": 34,
          "idRequired": true,
          "minQuantity": 2,
          "maxQuantity": 2,
          "paxCount": 2,
          "accompaniedBy": [
            "accompanied_by-example"
          ],
          "notAccompaniedBy": [
            "not_accompanied_by-example"
          ],
          "accompaniedByRatio": 2,
          "accompaniedByRatioDenominator": 2
        },
        "tags": [
          "vip",
          "partner"
        ],
        "type": "ADULT",
        "visibleContactFields": [
          "fullName",
          "emailAddress"
        ],
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "pricingFrom": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "extras": [
          {
            "customRetail": true,
            "customRetailOptions": [
              500,
              1000,
              1500
            ],
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "internalName": "Guide Gratuity",
            "reference": "guide_gratuity",
            "restrictions": {
              "default": false,
              "idRequired": false,
              "maxCustomRetail": 5000,
              "maxQuantity": 1,
              "minCustomRetail": 500,
              "minQuantity": 1,
              "paxCount": 0,
              "required": false,
              "accompaniedBy": [],
              "accompaniedByRatio": null,
              "accompaniedByRatioDenominator": null,
              "notAccompaniedBy": []
            },
            "tags": [
              "gratuity",
              "optional"
            ],
            "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
            "duration": null,
            "durationAmount": null,
            "durationUnit": null,
            "shortDescription": "Let the guest choose how much they want to tip the guide.",
            "title": "Guide Gratuity",
            "pricing": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "pricingFrom": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            }
          }
        ],
        "questions": [
          {
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "title": "Summer Promotion",
            "required": true,
            "inputType": "select",
            "maxLength": 2,
            "selectOptions": [
              {
                "value": "value-example",
                "label": "label-example"
              }
            ]
          }
        ],
        "isMembership": true,
        "membershipBenefit": {
          "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
          "title": "Summer Promotion",
          "description": "Morning departure with central pickup included."
        }
      }
    ],
    "visibleContactFields": [
      "fullName",
      "emailAddress"
    ],
    "pricing": {
      "currency": "USD",
      "currencyPrecision": 2,
      "net": 18000,
      "original": 22000,
      "retail": 20000,
      "includedTaxes": [
        {
          "name": "Sales Tax",
          "shortDescription": "Local sales tax",
          "original": 2000,
          "retail": 1800,
          "net": 1600
        }
      ],
      "offerDiscount": {
        "retail": 2000,
        "net": 2000,
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "retail": 200,
            "net": 200
          }
        ]
      }
    },
    "pricingFrom": {
      "currency": "USD",
      "currencyPrecision": 2,
      "net": 18000,
      "original": 22000,
      "retail": 20000,
      "includedTaxes": [
        {
          "name": "Sales Tax",
          "shortDescription": "Local sales tax",
          "original": 2000,
          "retail": 1800,
          "net": 1600
        }
      ],
      "offerDiscount": {
        "retail": 2000,
        "net": 2000,
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "retail": 200,
            "net": 200
          }
        ]
      }
    },
    "itinerary": [
      {
        "name": "Morning City Tour",
        "type": "STANDARD",
        "description": "Morning departure with central pickup included.",
        "address": "123 Main St, San Francisco, CA",
        "googlePlaceId": "google_place_id-example",
        "latitude": 10,
        "longitude": 10,
        "travelTime": "15",
        "travelTimeAmount": 220,
        "travelTimeUnit": "MINUTE",
        "duration": "2",
        "durationAmount": 220,
        "durationUnit": "HOUR"
      }
    ],
    "extras": [
      {
        "customRetail": true,
        "customRetailOptions": [
          500,
          1000,
          1500
        ],
        "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
        "internalName": "Guide Gratuity",
        "reference": "guide_gratuity",
        "restrictions": {
          "default": false,
          "idRequired": false,
          "maxCustomRetail": 5000,
          "maxQuantity": 1,
          "minCustomRetail": 500,
          "minQuantity": 1,
          "paxCount": 0,
          "required": false,
          "accompaniedBy": [],
          "accompaniedByRatio": null,
          "accompaniedByRatioDenominator": null,
          "notAccompaniedBy": []
        },
        "tags": [
          "gratuity",
          "optional"
        ],
        "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
        "duration": null,
        "durationAmount": null,
        "durationUnit": null,
        "shortDescription": "Let the guest choose how much they want to tip the guide.",
        "title": "Guide Gratuity",
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "pricingFrom": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        }
      }
    ],
    "packageIncludes": [
      {
        "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
        "title": "Summer Promotion",
        "description": "Morning departure with central pickup included.",
        "includes": [
          "[Circular Reference]"
        ]
      }
    ],
    "dropoffAvailable": true,
    "dropoffPoints": [
      {
        "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
        "name": "Union Square Pickup",
        "directions": "Meet outside the main entrance beside the red awning.",
        "address": "333 O'Farrell St, San Francisco, CA 94102",
        "latitude": 37.785452,
        "longitude": -122.408058,
        "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
        "street": "333 O'Farrell St",
        "postalCode": "94102",
        "locality": "San Francisco",
        "region": "California",
        "state": "CA",
        "country": "US",
        "localDateTime": "2026-05-14T08:30:00-07:00",
        "localDateTimeTo": "2026-05-14T08:45:00-07:00"
      }
    ],
    "dropoffRequired": true,
    "pickupAvailable": true,
    "pickupPoints": [
      {
        "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
        "name": "Union Square Pickup",
        "directions": "Meet outside the main entrance beside the red awning.",
        "address": "333 O'Farrell St, San Francisco, CA 94102",
        "latitude": 37.785452,
        "longitude": -122.408058,
        "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
        "street": "333 O'Farrell St",
        "postalCode": "94102",
        "locality": "San Francisco",
        "region": "California",
        "state": "CA",
        "country": "US",
        "localDateTime": "2026-05-14T08:30:00-07:00",
        "localDateTimeTo": "2026-05-14T08:45:00-07:00"
      }
    ],
    "pickupRequired": true,
    "questions": [
      {
        "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
        "title": "Summer Promotion",
        "required": true,
        "inputType": "select",
        "maxLength": 2,
        "selectOptions": [
          {
            "value": "value-example",
            "label": "label-example"
          }
        ]
      }
    ],
    "rentalDurations": [
      {
        "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
        "duration": "2",
        "durationAmount": 220,
        "durationUnit": "HOUR",
        "title": "Summer Promotion",
        "description": "Morning departure with central pickup included."
      }
    ]
  },
  "availability": {
    "allDay": false,
    "available": true,
    "capacity": 2,
    "id": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
    "localDateTimeEnd": "2026-03-01T12:00:00-08:00",
    "localDateTimeStart": "2026-03-01T09:00:00-08:00",
    "maxPaxCount": 2,
    "maxUnits": 2,
    "openingHours": [
      {
        "from": "09:00",
        "to": "17:00"
      }
    ],
    "paxCount": 2,
    "reference": "REF-2026-001",
    "status": "AVAILABLE",
    "statusMessage": "Limited availability for this departure.",
    "utcCutoffAt": "2026-05-14T13:00:00Z",
    "utcOnsaleAt": "2026-05-14T13:00:00Z",
    "vacancies": 2,
    "extraPricing": [
      {
        "currency": "USD",
        "currencyPrecision": 2,
        "extraId": "extra_fast_track",
        "net": 18000,
        "original": 22000,
        "retail": 20000,
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "original": 2000,
            "retail": 1800,
            "net": 1600
          }
        ],
        "offerDiscount": {
          "retail": 2000,
          "net": 2000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "retail": 200,
              "net": 200
            }
          ]
        }
      }
    ],
    "pricing": {
      "currency": "USD",
      "currencyPrecision": 2,
      "net": 18000,
      "original": 22000,
      "retail": 20000,
      "includedTaxes": [
        {
          "name": "Sales Tax",
          "shortDescription": "Local sales tax",
          "original": 2000,
          "retail": 1800,
          "net": 1600
        }
      ],
      "offerDiscount": {
        "retail": 2000,
        "net": 2000,
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "retail": 200,
            "net": 200
          }
        ]
      }
    },
    "unitPricing": [
      {
        "currency": "USD",
        "currencyPrecision": 2,
        "net": 18000,
        "original": 22000,
        "retail": 20000,
        "unitId": "unit_adult",
        "unitType": "ADULT",
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "original": 2000,
            "retail": 1800,
            "net": 1600
          }
        ],
        "offerDiscount": {
          "retail": 2000,
          "net": 2000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "retail": 200,
              "net": 200
            }
          ]
        }
      }
    ],
    "offer": {
      "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
      "tags": [
        "vip",
        "partner"
      ],
      "title": "Summer Promotion",
      "label": "Save 20%",
      "code": "SUMMER25",
      "description": "20% off selected departures this month.",
      "netDiscount": "FULL",
      "restrictions": {
        "minUnits": 1,
        "maxUnits": 10,
        "minTotal": 0,
        "maxTotal": 50000,
        "unitIds": [
          "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
          "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
        ]
      },
      "usable": true,
      "unusableReason": "Offer is not valid for the selected date.",
      "membershipBenefit": {
        "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
        "title": "Summer Promotion",
        "description": "Morning departure with central pickup included."
      }
    },
    "offerCode": "SUMMER25",
    "offers": [
      {
        "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
        "tags": [
          "vip",
          "partner"
        ],
        "title": "Summer Promotion",
        "label": "Save 20%",
        "code": "SUMMER25",
        "description": "20% off selected departures this month.",
        "netDiscount": "FULL",
        "restrictions": {
          "minUnits": 1,
          "maxUnits": 10,
          "minTotal": 0,
          "maxTotal": 50000,
          "unitIds": [
            "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
          ]
        },
        "usable": true,
        "unusableReason": "Offer is not valid for the selected date.",
        "membershipBenefit": {
          "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
          "title": "Summer Promotion",
          "description": "Morning departure with central pickup included."
        }
      }
    ],
    "packageAvailabilities": [
      {
        "allDay": false,
        "available": true,
        "capacity": 2,
        "id": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
        "localDateTimeEnd": "2026-03-01T12:00:00-08:00",
        "localDateTimeStart": "2026-03-01T09:00:00-08:00",
        "maxPaxCount": 2,
        "maxUnits": 2,
        "openingHours": [
          {
            "from": "09:00",
            "to": "17:00"
          }
        ],
        "packageIncludeId": "package_include_id-example",
        "paxCount": 2,
        "reference": "REF-2026-001",
        "status": "AVAILABLE",
        "statusMessage": "Limited availability for this departure.",
        "utcCutoffAt": "2026-05-14T13:00:00Z",
        "utcOnsaleAt": "2026-05-14T13:00:00Z",
        "vacancies": 2,
        "extraPricing": [
          {
            "currency": "USD",
            "currencyPrecision": 2,
            "extraId": "extra_fast_track",
            "net": 18000,
            "original": 22000,
            "retail": 20000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "original": 2000,
                "retail": 1800,
                "net": 1600
              }
            ],
            "offerDiscount": {
              "retail": 2000,
              "net": 2000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "retail": 200,
                  "net": 200
                }
              ]
            }
          }
        ],
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "unitPricing": [
          {
            "currency": "USD",
            "currencyPrecision": 2,
            "net": 18000,
            "original": 22000,
            "retail": 20000,
            "unitId": "unit_adult",
            "unitType": "ADULT",
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "original": 2000,
                "retail": 1800,
                "net": 1600
              }
            ],
            "offerDiscount": {
              "retail": 2000,
              "net": 2000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "retail": 200,
                  "net": 200
                }
              ]
            }
          }
        ],
        "offer": {
          "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
          "tags": [
            "vip",
            "partner"
          ],
          "title": "Summer Promotion",
          "label": "Save 20%",
          "code": "SUMMER25",
          "description": "20% off selected departures this month.",
          "netDiscount": "FULL",
          "restrictions": {
            "minUnits": 1,
            "maxUnits": 10,
            "minTotal": 0,
            "maxTotal": 50000,
            "unitIds": [
              "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
              "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
            ]
          },
          "usable": true,
          "unusableReason": "Offer is not valid for the selected date.",
          "membershipBenefit": {
            "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
            "title": "Summer Promotion",
            "description": "Morning departure with central pickup included."
          }
        },
        "offerCode": "SUMMER25",
        "offers": [
          {
            "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
            "tags": [
              "vip",
              "partner"
            ],
            "title": "Summer Promotion",
            "label": "Save 20%",
            "code": "SUMMER25",
            "description": "20% off selected departures this month.",
            "netDiscount": "FULL",
            "restrictions": {
              "minUnits": 1,
              "maxUnits": 10,
              "minTotal": 0,
              "maxTotal": 50000,
              "unitIds": [
                "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
                "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
              ]
            },
            "usable": true,
            "unusableReason": "Offer is not valid for the selected date.",
            "membershipBenefit": {
              "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
              "title": "Summer Promotion",
              "description": "Morning departure with central pickup included."
            }
          }
        ],
        "packageAvailabilities": [
          "[Circular Reference]"
        ],
        "dropoffAvailable": true,
        "dropoffPoints": [
          {
            "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
            "name": "Union Square Pickup",
            "directions": "Meet outside the main entrance beside the red awning.",
            "address": "333 O'Farrell St, San Francisco, CA 94102",
            "latitude": 37.785452,
            "longitude": -122.408058,
            "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
            "street": "333 O'Farrell St",
            "postalCode": "94102",
            "locality": "San Francisco",
            "region": "California",
            "state": "CA",
            "country": "US",
            "localDateTime": "2026-05-14T08:30:00-07:00",
            "localDateTimeTo": "2026-05-14T08:45:00-07:00"
          }
        ],
        "dropoffRequired": true,
        "pickupAvailable": true,
        "pickupPoints": [
          {
            "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
            "name": "Union Square Pickup",
            "directions": "Meet outside the main entrance beside the red awning.",
            "address": "333 O'Farrell St, San Francisco, CA 94102",
            "latitude": 37.785452,
            "longitude": -122.408058,
            "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
            "street": "333 O'Farrell St",
            "postalCode": "94102",
            "locality": "San Francisco",
            "region": "California",
            "state": "CA",
            "country": "US",
            "localDateTime": "2026-05-14T08:30:00-07:00",
            "localDateTimeTo": "2026-05-14T08:45:00-07:00"
          }
        ],
        "pickupRequired": true,
        "hasResources": true,
        "mappings": [
          {
            "resellerReference": "RES-BOOK-10045",
            "resellerStatus": "CONFIRMED",
            "resellerProduct": "grand-canyon-day-tour",
            "productId": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
            "optionId": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
            "unitId": "unit_adult",
            "optionRequired": true,
            "unitRequired": true,
            "validityDays": 2,
            "webhookUrl": "https://www.city-sightseeing.com"
          }
        ]
      }
    ],
    "dropoffAvailable": true,
    "dropoffPoints": [
      {
        "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
        "name": "Union Square Pickup",
        "directions": "Meet outside the main entrance beside the red awning.",
        "address": "333 O'Farrell St, San Francisco, CA 94102",
        "latitude": 37.785452,
        "longitude": -122.408058,
        "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
        "street": "333 O'Farrell St",
        "postalCode": "94102",
        "locality": "San Francisco",
        "region": "California",
        "state": "CA",
        "country": "US",
        "localDateTime": "2026-05-14T08:30:00-07:00",
        "localDateTimeTo": "2026-05-14T08:45:00-07:00"
      }
    ],
    "dropoffRequired": true,
    "pickupAvailable": true,
    "pickupPoints": [
      {
        "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
        "name": "Union Square Pickup",
        "directions": "Meet outside the main entrance beside the red awning.",
        "address": "333 O'Farrell St, San Francisco, CA 94102",
        "latitude": 37.785452,
        "longitude": -122.408058,
        "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
        "street": "333 O'Farrell St",
        "postalCode": "94102",
        "locality": "San Francisco",
        "region": "California",
        "state": "CA",
        "country": "US",
        "localDateTime": "2026-05-14T08:30:00-07:00",
        "localDateTimeTo": "2026-05-14T08:45:00-07:00"
      }
    ],
    "pickupRequired": true,
    "hasResources": true,
    "mappings": [
      {
        "resellerReference": "RES-BOOK-10045",
        "resellerStatus": "CONFIRMED",
        "resellerProduct": "grand-canyon-day-tour",
        "productId": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
        "optionId": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
        "unitId": "unit_adult",
        "optionRequired": true,
        "unitRequired": true,
        "validityDays": 2,
        "webhookUrl": "https://www.city-sightseeing.com"
      }
    ]
  },
  "contact": {
    "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
    "tags": [
      "vip",
      "partner"
    ],
    "fullName": "Jane Doe",
    "title": "Ms",
    "firstName": "Jane",
    "lastName": "Doe",
    "emailAddress": "jane.doe@goldengatetours.com",
    "phoneNumber": "+12025550123",
    "age": 34,
    "birthdate": "1992-04-23",
    "streetAddress": "223 Market Street",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94103",
    "country": "US",
    "locales": [
      "en"
    ],
    "notes": "Vegetarian meal requested",
    "allowMarketing": false,
    "taxId": "US1234567",
    "company": "Golden Gate Tours LLC",
    "photoUrl": "https://images.ventrata.com/profiles/jane-doe.jpg"
  },
  "voucher": {
    "redemptionMethod": "DIGITAL",
    "utcRedeemedAt": "2026-05-14T13:00:00Z",
    "utcNoshowedAt": "2026-05-14T13:00:00Z",
    "deliveryOptions": [
      {
        "deliveryFormat": "PDF_URL",
        "deliveryValue": "https://api.ventrata.com/octo/download/signed-message"
      }
    ]
  },
  "unitItems": [
    {
      "alias": "booking-alias-001",
      "contact": {
        "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
        "tags": [
          "vip",
          "partner"
        ],
        "fullName": "Jane Doe",
        "title": "Ms",
        "firstName": "Jane",
        "lastName": "Doe",
        "emailAddress": "jane.doe@goldengatetours.com",
        "phoneNumber": "+12025550123",
        "age": 34,
        "birthdate": "1992-04-23",
        "streetAddress": "223 Market Street",
        "city": "San Francisco",
        "state": "CA",
        "postalCode": "94103",
        "country": "US",
        "locales": [
          "en"
        ],
        "notes": "Vegetarian meal requested",
        "allowMarketing": false,
        "taxId": "US1234567",
        "company": "Golden Gate Tours LLC",
        "photoUrl": "https://images.ventrata.com/profiles/jane-doe.jpg"
      },
      "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
      "localDateTimeEnd": "2026-05-14T13:00:00Z",
      "localDateTimeStart": "2026-05-14T13:00:00Z",
      "originalRebookingUnitItemUuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
      "originalRebookingUuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
      "rebookingUnitItemUuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
      "rebookingUuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
      "requiredContactFields": [
        "fullName",
        "emailAddress"
      ],
      "resellerReference": "RES-BOOK-10045",
      "scans": [
        {
          "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
          "status": "CONFIRMED",
          "utcScannedAt": "2026-05-14T13:00:00Z",
          "seller": {
            "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
            "name": "Morning City Tour",
            "reference": "REF-2026-001",
            "tags": [
              "vip",
              "partner"
            ],
            "emailAddress": "jane.doe@goldengatetours.com",
            "phoneNumber": "+12025550123"
          }
        }
      ],
      "status": "CONFIRMED",
      "supplierReference": "SUP-BOOK-7782",
      "ticket": {
        "redemptionMethod": "DIGITAL",
        "utcRedeemedAt": "2026-05-14T13:00:00Z",
        "utcNoshowedAt": "2026-05-14T13:00:00Z",
        "deliveryOptions": [
          {
            "deliveryFormat": "PDF_URL",
            "deliveryValue": "https://api.ventrata.com/octo/download/signed-message"
          }
        ]
      },
      "unit": {
        "id": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
        "internalName": "Adult",
        "reference": "adult",
        "requiredContactFields": [
          "fullName",
          "emailAddress"
        ],
        "restrictions": {
          "required": true,
          "default": true,
          "minAge": 34,
          "maxAge": 34,
          "idRequired": true,
          "minQuantity": 2,
          "maxQuantity": 2,
          "paxCount": 2,
          "accompaniedBy": [
            "accompanied_by-example"
          ],
          "notAccompaniedBy": [
            "not_accompanied_by-example"
          ],
          "accompaniedByRatio": 2,
          "accompaniedByRatioDenominator": 2
        },
        "tags": [
          "vip",
          "partner"
        ],
        "type": "ADULT",
        "visibleContactFields": [
          "fullName",
          "emailAddress"
        ],
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "pricingFrom": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "extras": [
          {
            "customRetail": true,
            "customRetailOptions": [
              500,
              1000,
              1500
            ],
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "internalName": "Guide Gratuity",
            "reference": "guide_gratuity",
            "restrictions": {
              "default": false,
              "idRequired": false,
              "maxCustomRetail": 5000,
              "maxQuantity": 1,
              "minCustomRetail": 500,
              "minQuantity": 1,
              "paxCount": 0,
              "required": false,
              "accompaniedBy": [],
              "accompaniedByRatio": null,
              "accompaniedByRatioDenominator": null,
              "notAccompaniedBy": []
            },
            "tags": [
              "gratuity",
              "optional"
            ],
            "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
            "duration": null,
            "durationAmount": null,
            "durationUnit": null,
            "shortDescription": "Let the guest choose how much they want to tip the guide.",
            "title": "Guide Gratuity",
            "pricing": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "pricingFrom": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            }
          }
        ],
        "questions": [
          {
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "title": "Summer Promotion",
            "required": true,
            "inputType": "select",
            "maxLength": 2,
            "selectOptions": [
              {
                "value": "value-example",
                "label": "label-example"
              }
            ]
          }
        ],
        "isMembership": true,
        "membershipBenefit": {
          "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
          "title": "Summer Promotion",
          "description": "Morning departure with central pickup included."
        }
      },
      "unitId": "unit_adult",
      "unitType": "ADULT",
      "utcNoshowedAt": "2026-05-14T13:00:00Z",
      "utcRebookedAt": "2026-05-14T13:00:00Z",
      "utcRedeemedAt": "2026-05-14T13:00:00Z",
      "uuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
      "visibleContactFields": [
        "fullName",
        "emailAddress"
      ],
      "weightUnit": "kg",
      "weightValue": 20,
      "pricing": {
        "currency": "USD",
        "currencyPrecision": 2,
        "net": 18000,
        "original": 22000,
        "retail": 20000,
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "original": 2000,
            "retail": 1800,
            "net": 1600
          }
        ],
        "offerDiscount": {
          "retail": 2000,
          "net": 2000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "retail": 200,
              "net": 200
            }
          ]
        }
      },
      "offer": {
        "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
        "tags": [
          "vip",
          "partner"
        ],
        "title": "Summer Promotion",
        "label": "Save 20%",
        "code": "SUMMER25",
        "description": "20% off selected departures this month.",
        "netDiscount": "FULL",
        "restrictions": {
          "minUnits": 1,
          "maxUnits": 10,
          "minTotal": 0,
          "maxTotal": 50000,
          "unitIds": [
            "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
          ]
        },
        "usable": true,
        "unusableReason": "Offer is not valid for the selected date.",
        "membershipBenefit": {
          "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
          "title": "Summer Promotion",
          "description": "Morning departure with central pickup included."
        }
      },
      "offerCode": "SUMMER25",
      "offerComparisons": [
        {
          "offerCode": "SUMMER25",
          "offerTitle": "Summer Promotion",
          "pricing": {
            "currency": "USD",
            "currencyPrecision": 2,
            "net": 18000,
            "original": 22000,
            "retail": 20000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "original": 2000,
                "retail": 1800,
                "net": 1600
              }
            ],
            "offerDiscount": {
              "retail": 2000,
              "net": 2000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "retail": 200,
                  "net": 200
                }
              ]
            }
          },
          "offer": {
            "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
            "tags": [
              "vip",
              "partner"
            ],
            "title": "Summer Promotion",
            "label": "Save 20%",
            "code": "SUMMER25",
            "description": "20% off selected departures this month.",
            "netDiscount": "FULL",
            "restrictions": {
              "minUnits": 1,
              "maxUnits": 10,
              "minTotal": 0,
              "maxTotal": 50000,
              "unitIds": [
                "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
                "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
              ]
            },
            "usable": true,
            "unusableReason": "Offer is not valid for the selected date.",
            "membershipBenefit": {
              "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
              "title": "Summer Promotion",
              "description": "Morning departure with central pickup included."
            }
          }
        }
      ],
      "offerIsCombination": true,
      "offerTitle": "Summer Promotion",
      "offers": [
        {
          "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
          "tags": [
            "vip",
            "partner"
          ],
          "title": "Summer Promotion",
          "label": "Save 20%",
          "code": "SUMMER25",
          "description": "20% off selected departures this month.",
          "netDiscount": "FULL",
          "restrictions": {
            "minUnits": 1,
            "maxUnits": 10,
            "minTotal": 0,
            "maxTotal": 50000,
            "unitIds": [
              "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
              "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
            ]
          },
          "usable": true,
          "unusableReason": "Offer is not valid for the selected date.",
          "membershipBenefit": {
            "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
            "title": "Summer Promotion",
            "description": "Morning departure with central pickup included."
          }
        }
      ],
      "extraItems": [
        {
          "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
          "uuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
          "resellerReference": "RES-BOOK-10045",
          "supplierReference": "SUP-BOOK-7782",
          "extraId": "extra_3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
          "retail": 1500,
          "status": "CONFIRMED",
          "utcRedeemedAt": "2026-05-14T13:00:00Z",
          "contact": {
            "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
            "tags": [
              "vip",
              "partner"
            ],
            "fullName": "Jane Doe",
            "title": "Ms",
            "firstName": "Jane",
            "lastName": "Doe",
            "emailAddress": "jane.doe@goldengatetours.com",
            "phoneNumber": "+12025550123",
            "age": 34,
            "birthdate": "1992-04-23",
            "streetAddress": "223 Market Street",
            "city": "San Francisco",
            "state": "CA",
            "postalCode": "94103",
            "country": "US",
            "locales": [
              "en"
            ],
            "notes": "Vegetarian meal requested",
            "allowMarketing": false,
            "taxId": "US1234567",
            "company": "Golden Gate Tours LLC",
            "photoUrl": "https://images.ventrata.com/profiles/jane-doe.jpg"
          },
          "visibleContactFields": [
            "fullName",
            "emailAddress"
          ],
          "requiredContactFields": [
            "fullName",
            "emailAddress"
          ],
          "ticket": {
            "redemptionMethod": "DIGITAL",
            "utcRedeemedAt": "2026-05-14T13:00:00Z",
            "utcNoshowedAt": "2026-05-14T13:00:00Z",
            "deliveryOptions": [
              {
                "deliveryFormat": "PDF_URL",
                "deliveryValue": "https://api.ventrata.com/octo/download/signed-message"
              }
            ]
          },
          "pricing": {
            "currency": "USD",
            "currencyPrecision": 2,
            "net": 18000,
            "original": 22000,
            "retail": 20000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "original": 2000,
                "retail": 1800,
                "net": 1600
              }
            ],
            "offerDiscount": {
              "retail": 2000,
              "net": 2000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "retail": 200,
                  "net": 200
                }
              ]
            }
          },
          "offerCode": "SUMMER25",
          "offerTitle": "Summer Promotion",
          "offerIsCombination": true,
          "offerComparisons": [
            {
              "offerCode": "SUMMER25",
              "offerTitle": "Summer Promotion",
              "pricing": {
                "currency": "USD",
                "currencyPrecision": 2,
                "net": 18000,
                "original": 22000,
                "retail": 20000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "original": 2000,
                    "retail": 1800,
                    "net": 1600
                  }
                ],
                "offerDiscount": {
                  "retail": 2000,
                  "net": 2000,
                  "includedTaxes": [
                    {
                      "name": "Sales Tax",
                      "shortDescription": "Local sales tax",
                      "retail": 200,
                      "net": 200
                    }
                  ]
                }
              },
              "offer": {
                "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
                "tags": [
                  "vip",
                  "partner"
                ],
                "title": "Summer Promotion",
                "label": "Save 20%",
                "code": "SUMMER25",
                "description": "20% off selected departures this month.",
                "netDiscount": "FULL",
                "restrictions": {
                  "minUnits": 1,
                  "maxUnits": 10,
                  "minTotal": 0,
                  "maxTotal": 50000,
                  "unitIds": [
                    "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
                    "6b65fd83-4a1f-4744-8f4a-c24d8d770f29"
                  ]
                },
                "usable": true,
                "unusableReason": "Offer is not valid for the selected date.",
                "membershipBenefit": {
                  "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
                  "title": "Summer Promotion",
                  "description": "Morning departure with central pickup included."
                }
              }
            }
          ]
        }
      ],
      "packageIncludeId": "package_include_id-example",
      "packageUnitItemUuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
      "questionAnswers": [
        {
          "questionId": "question_dietary_requirements",
          "value": "value-example"
        }
      ]
    }
  ]
}

Lookup by reference, email, or mobile.

Redeem

post

Redeem one or more redemption codes.

Body
redemptionCodeone ofOptional

Redemption code value.

Example: SUMMER25
stringOptional
or
string[]Optional
referencestringOptional

Reference value.

Example: REF-2026-001
emailstringOptional

Email value.

Example: jane.doe@goldengatetours.com
mobilestringOptional

Mobile value.

Example: +12025550123
timestampstringOptional

Timestamp value.

Example: 2026-05-14T13:00:00Z
notesstringOptional

Notes value.

Example: Vegetarian meal requested
Responses
200

Successful response

application/json
or
post/redemption/redeem
POST /octo/redemption/redeem HTTP/1.1
Host: api.ventrata.com
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "redemptionCode": "SUMMER25",
  "reference": "REF-2026-001",
  "email": "jane.doe@goldengatetours.com",
  "mobile": "+12025550123",
  "timestamp": "2026-05-14T13:00:00Z",
  "notes": "Vegetarian meal requested"
}
200

Successful response

{
  "uuid": "89fe0192-ddcd-430a-b285-e1396a4725d2",
  "reference": "REF-2026-001",
  "redemptionCode": "SUMMER25",
  "redeemable": true,
  "unredeemableReason": "unredeemable_reason-example",
  "unredeemableReasonCode": "SUMMER25",
  "status": "CONFIRMED",
  "product": {
    "allowFreesale": true,
    "availabilityRequired": true,
    "availabilityType": "START_TIME",
    "deliveryFormats": [
      "PDF_URL",
      "QRCODE"
    ],
    "deliveryMethods": [
      "VOUCHER",
      "TICKET"
    ],
    "fixedWeight": true,
    "freesaleDurationAmount": 220,
    "freesaleDurationRoundup": true,
    "freesaleDurationRoundupUnit": "HOUR",
    "freesaleDurationUnit": "HOUR",
    "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
    "instantConfirmation": true,
    "instantDelivery": true,
    "internalName": "Walking Tour of Barcelona",
    "locale": "en",
    "operator": {
      "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
      "name": "Morning City Tour"
    },
    "options": [
      {
        "availabilityCutoff": "2026-05-14T09:00:00-04:00",
        "availabilityCutoffAmount": 2,
        "availabilityCutoffUnit": "2026-05-14T09:00:00-04:00",
        "availabilityLocalDateEnd": "2026-12-31",
        "availabilityLocalDateStart": "2026-01-01",
        "availabilityLocalStartTimes": [
          "09:00",
          "13:00"
        ],
        "availabilityNotice": "2026-05-14T09:00:00-04:00",
        "availabilityNoticeAmount": 2,
        "availabilityNoticeUnit": "2026-05-14T09:00:00-04:00",
        "cancellationCutoff": "24",
        "cancellationCutoffAmount": 2,
        "cancellationCutoffUnit": "HOUR",
        "default": true,
        "id": "f1a5d2e8-8d57-4f0b-9c3f-6a12d7a8bc90",
        "internalName": "DEFAULT",
        "reference": "REF-2026-001",
        "requiredContactFields": [
          "fullName",
          "emailAddress"
        ],
        "restrictions": {
          "minUnits": 2,
          "maxUnits": 2,
          "minPaxCount": 2,
          "maxPaxCount": 2,
          "minTotal": 2,
          "maxTotal": 2,
          "unitIds": [
            "unit_adult",
            "unit_child"
          ]
        },
        "tags": [
          "vip",
          "partner"
        ],
        "units": [
          {
            "id": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
            "internalName": "Adult",
            "reference": "adult",
            "requiredContactFields": [
              "fullName",
              "emailAddress"
            ],
            "restrictions": {
              "required": true,
              "default": true,
              "minAge": 34,
              "maxAge": 34,
              "idRequired": true,
              "minQuantity": 2,
              "maxQuantity": 2,
              "paxCount": 2,
              "accompaniedBy": [
                "accompanied_by-example"
              ],
              "notAccompaniedBy": [
                "not_accompanied_by-example"
              ],
              "accompaniedByRatio": 2,
              "accompaniedByRatioDenominator": 2
            },
            "tags": [
              "vip",
              "partner"
            ],
            "type": "ADULT",
            "visibleContactFields": [
              "fullName",
              "emailAddress"
            ],
            "pricing": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "pricingFrom": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "extras": [
              {
                "customRetail": true,
                "customRetailOptions": [
                  500,
                  1000,
                  1500
                ],
                "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
                "internalName": "Guide Gratuity",
                "reference": "guide_gratuity",
                "restrictions": {
                  "default": false,
                  "idRequired": false,
                  "maxCustomRetail": 5000,
                  "maxQuantity": 1,
                  "minCustomRetail": 500,
                  "minQuantity": 1,
                  "paxCount": 0,
                  "required": false,
                  "accompaniedBy": [],
                  "accompaniedByRatio": null,
                  "accompaniedByRatioDenominator": null,
                  "notAccompaniedBy": []
                },
                "tags": [
                  "gratuity",
                  "optional"
                ],
                "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
                "duration": null,
                "durationAmount": null,
                "durationUnit": null,
                "shortDescription": "Let the guest choose how much they want to tip the guide.",
                "title": "Guide Gratuity",
                "pricing": {
                  "currency": "USD",
                  "currencyPrecision": 2,
                  "net": 18000,
                  "original": 22000,
                  "retail": 20000,
                  "includedTaxes": [
                    {
                      "name": "Sales Tax",
                      "shortDescription": "Local sales tax",
                      "original": 2000,
                      "retail": 1800,
                      "net": 1600
                    }
                  ],
                  "offerDiscount": {
                    "retail": 2000,
                    "net": 2000,
                    "includedTaxes": [
                      {
                        "name": "Sales Tax",
                        "shortDescription": "Local sales tax",
                        "retail": 200,
                        "net": 200
                      }
                    ]
                  }
                },
                "pricingFrom": {
                  "currency": "USD",
                  "currencyPrecision": 2,
                  "net": 18000,
                  "original": 22000,
                  "retail": 20000,
                  "includedTaxes": [
                    {
                      "name": "Sales Tax",
                      "shortDescription": "Local sales tax",
                      "original": 2000,
                      "retail": 1800,
                      "net": 1600
                    }
                  ],
                  "offerDiscount": {
                    "retail": 2000,
                    "net": 2000,
                    "includedTaxes": [
                      {
                        "name": "Sales Tax",
                        "shortDescription": "Local sales tax",
                        "retail": 200,
                        "net": 200
                      }
                    ]
                  }
                }
              }
            ],
            "questions": [
              {
                "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
                "title": "Summer Promotion",
                "required": true,
                "inputType": "select",
                "maxLength": 2,
                "selectOptions": [
                  {
                    "value": "value-example",
                    "label": "label-example"
                  }
                ]
              }
            ],
            "isMembership": true,
            "membershipBenefit": {
              "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
              "title": "Summer Promotion",
              "description": "Morning departure with central pickup included."
            }
          }
        ],
        "visibleContactFields": [
          "fullName",
          "emailAddress"
        ],
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "pricingFrom": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "itinerary": [
          {
            "name": "Morning City Tour",
            "type": "STANDARD",
            "description": "Morning departure with central pickup included.",
            "address": "123 Main St, San Francisco, CA",
            "googlePlaceId": "google_place_id-example",
            "latitude": 10,
            "longitude": 10,
            "travelTime": "15",
            "travelTimeAmount": 220,
            "travelTimeUnit": "MINUTE",
            "duration": "2",
            "durationAmount": 220,
            "durationUnit": "HOUR"
          }
        ],
        "extras": [
          {
            "customRetail": true,
            "customRetailOptions": [
              500,
              1000,
              1500
            ],
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "internalName": "Guide Gratuity",
            "reference": "guide_gratuity",
            "restrictions": {
              "default": false,
              "idRequired": false,
              "maxCustomRetail": 5000,
              "maxQuantity": 1,
              "minCustomRetail": 500,
              "minQuantity": 1,
              "paxCount": 0,
              "required": false,
              "accompaniedBy": [],
              "accompaniedByRatio": null,
              "accompaniedByRatioDenominator": null,
              "notAccompaniedBy": []
            },
            "tags": [
              "gratuity",
              "optional"
            ],
            "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
            "duration": null,
            "durationAmount": null,
            "durationUnit": null,
            "shortDescription": "Let the guest choose how much they want to tip the guide.",
            "title": "Guide Gratuity",
            "pricing": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "pricingFrom": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            }
          }
        ],
        "packageIncludes": [
          "[Circular Reference]"
        ],
        "dropoffAvailable": true,
        "dropoffPoints": [
          {
            "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
            "name": "Union Square Pickup",
            "directions": "Meet outside the main entrance beside the red awning.",
            "address": "333 O'Farrell St, San Francisco, CA 94102",
            "latitude": 37.785452,
            "longitude": -122.408058,
            "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
            "street": "333 O'Farrell St",
            "postalCode": "94102",
            "locality": "San Francisco",
            "region": "California",
            "state": "CA",
            "country": "US",
            "localDateTime": "2026-05-14T08:30:00-07:00",
            "localDateTimeTo": "2026-05-14T08:45:00-07:00"
          }
        ],
        "dropoffRequired": true,
        "pickupAvailable": true,
        "pickupPoints": [
          {
            "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
            "name": "Union Square Pickup",
            "directions": "Meet outside the main entrance beside the red awning.",
            "address": "333 O'Farrell St, San Francisco, CA 94102",
            "latitude": 37.785452,
            "longitude": -122.408058,
            "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
            "street": "333 O'Farrell St",
            "postalCode": "94102",
            "locality": "San Francisco",
            "region": "California",
            "state": "CA",
            "country": "US",
            "localDateTime": "2026-05-14T08:30:00-07:00",
            "localDateTimeTo": "2026-05-14T08:45:00-07:00"
          }
        ],
        "pickupRequired": true,
        "questions": [
          {
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "title": "Summer Promotion",
            "required": true,
            "inputType": "select",
            "maxLength": 2,
            "selectOptions": [
              {
                "value": "value-example",
                "label": "label-example"
              }
            ]
          }
        ],
        "rentalDurations": [
          {
            "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
            "duration": "2",
            "durationAmount": 220,
            "durationUnit": "HOUR",
            "title": "Summer Promotion",
            "description": "Morning departure with central pickup included."
          }
        ]
      }
    ],
    "redemptionMethod": "DIGITAL",
    "reference": "BRC-WALK",
    "settlementMethods": [
      "DIRECT",
      "DEFERRED"
    ],
    "tags": [
      "vip",
      "partner"
    ],
    "timeZone": "Europe/Madrid",
    "weightUnit": "kg",
    "availableCurrencies": [
      "USD",
      "EUR"
    ],
    "defaultCurrency": "USD",
    "hidePricingFrom": true,
    "includeTax": true,
    "includedTaxes": [
      {
        "name": "Sales Tax",
        "shortDescription": "Local sales tax",
        "original": 2000,
        "retail": 1800,
        "net": 1600
      }
    ],
    "pricingMultiplier": 10,
    "pricingPer": "UNIT",
    "isPackage": true,
    "isPackagePass": true,
    "packageProduct": true,
    "waiverPer": "UNIT",
    "waiverRequired": true,
    "waivers": [
      {
        "id": "6d8c49eb-d6d3-4f03-a242-6f5f95f4d56f",
        "title": "Participant Release and Assumption of Risk",
        "shortDescription": "Required before tour participation.",
        "content": "I acknowledge and accept the risks of participation.\n\n-First Name-=__\n-Email-=__(\"type\":\"email\")\n-Signature-=__(\"type\":\"signature\")\n-Country-=__(\"type\":\"country\")",
        "fields": [
          {
            "id": "first_name",
            "internalName": "First Name",
            "title": "First Name",
            "shortDescription": null,
            "required": true,
            "inputType": "signature",
            "maxLength": null,
            "selectOptions": []
          }
        ]
      }
    ],
    "isRental": true,
    "isMembership": true,
    "membershipAutoRenew": true
  },
  "option": {
    "availabilityCutoff": "2026-05-14T09:00:00-04:00",
    "availabilityCutoffAmount": 2,
    "availabilityCutoffUnit": "2026-05-14T09:00:00-04:00",
    "availabilityLocalDateEnd": "2026-12-31",
    "availabilityLocalDateStart": "2026-01-01",
    "availabilityLocalStartTimes": [
      "09:00",
      "13:00"
    ],
    "availabilityNotice": "2026-05-14T09:00:00-04:00",
    "availabilityNoticeAmount": 2,
    "availabilityNoticeUnit": "2026-05-14T09:00:00-04:00",
    "cancellationCutoff": "24",
    "cancellationCutoffAmount": 2,
    "cancellationCutoffUnit": "HOUR",
    "default": true,
    "id": "f1a5d2e8-8d57-4f0b-9c3f-6a12d7a8bc90",
    "internalName": "DEFAULT",
    "reference": "REF-2026-001",
    "requiredContactFields": [
      "fullName",
      "emailAddress"
    ],
    "restrictions": {
      "minUnits": 2,
      "maxUnits": 2,
      "minPaxCount": 2,
      "maxPaxCount": 2,
      "minTotal": 2,
      "maxTotal": 2,
      "unitIds": [
        "unit_adult",
        "unit_child"
      ]
    },
    "tags": [
      "vip",
      "partner"
    ],
    "units": [
      {
        "id": "94cdd032-3d32-416d-b0a4-abf8b7495b8b",
        "internalName": "Adult",
        "reference": "adult",
        "requiredContactFields": [
          "fullName",
          "emailAddress"
        ],
        "restrictions": {
          "required": true,
          "default": true,
          "minAge": 34,
          "maxAge": 34,
          "idRequired": true,
          "minQuantity": 2,
          "maxQuantity": 2,
          "paxCount": 2,
          "accompaniedBy": [
            "accompanied_by-example"
          ],
          "notAccompaniedBy": [
            "not_accompanied_by-example"
          ],
          "accompaniedByRatio": 2,
          "accompaniedByRatioDenominator": 2
        },
        "tags": [
          "vip",
          "partner"
        ],
        "type": "ADULT",
        "visibleContactFields": [
          "fullName",
          "emailAddress"
        ],
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "pricingFrom": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "extras": [
          {
            "customRetail": true,
            "customRetailOptions": [
              500,
              1000,
              1500
            ],
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "internalName": "Guide Gratuity",
            "reference": "guide_gratuity",
            "restrictions": {
              "default": false,
              "idRequired": false,
              "maxCustomRetail": 5000,
              "maxQuantity": 1,
              "minCustomRetail": 500,
              "minQuantity": 1,
              "paxCount": 0,
              "required": false,
              "accompaniedBy": [],
              "accompaniedByRatio": null,
              "accompaniedByRatioDenominator": null,
              "notAccompaniedBy": []
            },
            "tags": [
              "gratuity",
              "optional"
            ],
            "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
            "duration": null,
            "durationAmount": null,
            "durationUnit": null,
            "shortDescription": "Let the guest choose how much they want to tip the guide.",
            "title": "Guide Gratuity",
            "pricing": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            },
            "pricingFrom": {
              "currency": "USD",
              "currencyPrecision": 2,
              "net": 18000,
              "original": 22000,
              "retail": 20000,
              "includedTaxes": [
                {
                  "name": "Sales Tax",
                  "shortDescription": "Local sales tax",
                  "original": 2000,
                  "retail": 1800,
                  "net": 1600
                }
              ],
              "offerDiscount": {
                "retail": 2000,
                "net": 2000,
                "includedTaxes": [
                  {
                    "name": "Sales Tax",
                    "shortDescription": "Local sales tax",
                    "retail": 200,
                    "net": 200
                  }
                ]
              }
            }
          }
        ],
        "questions": [
          {
            "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
            "title": "Summer Promotion",
            "required": true,
            "inputType": "select",
            "maxLength": 2,
            "selectOptions": [
              {
                "value": "value-example",
                "label": "label-example"
              }
            ]
          }
        ],
        "isMembership": true,
        "membershipBenefit": {
          "id": "e7cc8bb4-8d1c-4848-8824-5dbedb718681",
          "title": "Summer Promotion",
          "description": "Morning departure with central pickup included."
        }
      }
    ],
    "visibleContactFields": [
      "fullName",
      "emailAddress"
    ],
    "pricing": {
      "currency": "USD",
      "currencyPrecision": 2,
      "net": 18000,
      "original": 22000,
      "retail": 20000,
      "includedTaxes": [
        {
          "name": "Sales Tax",
          "shortDescription": "Local sales tax",
          "original": 2000,
          "retail": 1800,
          "net": 1600
        }
      ],
      "offerDiscount": {
        "retail": 2000,
        "net": 2000,
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "retail": 200,
            "net": 200
          }
        ]
      }
    },
    "pricingFrom": {
      "currency": "USD",
      "currencyPrecision": 2,
      "net": 18000,
      "original": 22000,
      "retail": 20000,
      "includedTaxes": [
        {
          "name": "Sales Tax",
          "shortDescription": "Local sales tax",
          "original": 2000,
          "retail": 1800,
          "net": 1600
        }
      ],
      "offerDiscount": {
        "retail": 2000,
        "net": 2000,
        "includedTaxes": [
          {
            "name": "Sales Tax",
            "shortDescription": "Local sales tax",
            "retail": 200,
            "net": 200
          }
        ]
      }
    },
    "itinerary": [
      {
        "name": "Morning City Tour",
        "type": "STANDARD",
        "description": "Morning departure with central pickup included.",
        "address": "123 Main St, San Francisco, CA",
        "googlePlaceId": "google_place_id-example",
        "latitude": 10,
        "longitude": 10,
        "travelTime": "15",
        "travelTimeAmount": 220,
        "travelTimeUnit": "MINUTE",
        "duration": "2",
        "durationAmount": 220,
        "durationUnit": "HOUR"
      }
    ],
    "extras": [
      {
        "customRetail": true,
        "customRetailOptions": [
          500,
          1000,
          1500
        ],
        "id": "3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7",
        "internalName": "Guide Gratuity",
        "reference": "guide_gratuity",
        "restrictions": {
          "default": false,
          "idRequired": false,
          "maxCustomRetail": 5000,
          "maxQuantity": 1,
          "minCustomRetail": 500,
          "minQuantity": 1,
          "paxCount": 0,
          "required": false,
          "accompaniedBy": [],
          "accompaniedByRatio": null,
          "accompaniedByRatioDenominator": null,
          "notAccompaniedBy": []
        },
        "tags": [
          "gratuity",
          "optional"
        ],
        "coverImageUrl": "https://images.ventrata.com/extras/guide-gratuity.jpg",
        "duration": null,
        "durationAmount": null,
        "durationUnit": null,
        "shortDescription": "Let the guest choose how much they want to tip the guide.",
        "title": "Guide Gratuity",
        "pricing": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        },
        "pricingFrom": {
          "currency": "USD",
          "currencyPrecision": 2,
          "net": 18000,
          "original": 22000,
          "retail": 20000,
          "includedTaxes": [
            {
              "name": "Sales Tax",
              "shortDescription": "Local sales tax",
              "original": 2000,
              "retail": 1800,
              "net": 1600
            }
          ],
          "offerDiscount": {
            "retail": 2000,
            "net": 2000,
            "includedTaxes": [
              {
                "name": "Sales Tax",
                "shortDescription": "Local sales tax",
                "retail": 200,
                "net": 200
              }
            ]
          }
        }
      }
    ],
    "packageIncludes": [
      {
        "id": "89fe0192-ddcd-430a-b285-e1396a4725d2",
        "title": "Summer Promotion",
        "description": "Morning departure with central pickup included.",
        "includes": [
          "[Circular Reference]"
        ]
      }
    ],
    "dropoffAvailable": true,
    "dropoffPoints": [
      {
        "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
        "name": "Union Square Pickup",
        "directions": "Meet outside the main entrance beside the red awning.",
        "address": "333 O'Farrell St, San Francisco, CA 94102",
        "latitude": 37.785452,
        "longitude": -122.408058,
        "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
        "street": "333 O'Farrell St",
        "postalCode": "94102",
        "locality": "San Francisco",
        "region": "California",
        "state": "CA",
        "country": "US",
        "localDateTime": "2026-05-14T08:30:00-07:00",
        "localDateTimeTo": "2026-05-14T08:45:00-07:00"
      }
    ],
    "dropoffRequired": true,
    "pickupAvailable": true,
    "pickupPoints": [
      {
        "id": "1cfe2c68-4a91-4df8-8d69-4b393d469caf",
        "name": "Union Square Pickup",
        "directions": "Meet outside the main entrance beside the red awning.",
        "address": "333 O'Farrell St, San Francisco, CA 94102",
        "latitude": 37.785452,
        "longitude": -122.408058,
        "googlePlaceId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
        "street": "333 O'Farrell St",
        "postalCode": "94102",
        "locality": "San Francisco",
        "region": "California",
        "state": "CA",
        "country": "US",
        "localDateTime": "2026-05-14T08:30:00-07:00",
[...]
